Get Profile
curl --request POST \
--url https://refract.prismapi.io/v1/evm/dex/profiles/positions/get-profile \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"chain_id": 1,
"wallet": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
"token": "0x6982508145454Ce325dDbE47a25d4ec3d2311933",
"options": {
"include_metadata": true,
"include_metrics": [
"7d"
]
}
}
'import requests
url = "https://refract.prismapi.io/v1/evm/dex/profiles/positions/get-profile"
payload = {
"chain_id": 1,
"wallet": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
"token": "0x6982508145454Ce325dDbE47a25d4ec3d2311933",
"options": {
"include_metadata": True,
"include_metrics": ["7d"]
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
chain_id: 1,
wallet: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045',
token: '0x6982508145454Ce325dDbE47a25d4ec3d2311933',
options: {include_metadata: true, include_metrics: ['7d']}
})
};
fetch('https://refract.prismapi.io/v1/evm/dex/profiles/positions/get-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updated_at": "2023-11-07T05:31:56Z",
"synced_at": "2023-11-07T05:31:56Z",
"chain_id": 123,
"position_address": "<string>",
"wallet_address": "<string>",
"token_address": "<string>",
"metadata": {
"last_trade_at": "2023-11-07T05:31:56Z"
},
"metrics": {}
}{
"error": "Bad request: Invalid request parameters"
}{
"error": "Unauthorized: Invalid or missing API key"
}{
"error": "Forbidden: Access denied for the current API plan"
}{
"error": "Too many requests: Rate limit exceeded"
}{
"error": "Internal server error"
}Positions
Get Profile
Returns a position profile for a specific wallet-token pair.
POST
/
v1
/
evm
/
dex
/
profiles
/
positions
/
get-profile
Get Profile
Authorizations
Your Prism API key. You can get one for free in the Prism Dashboard.
Body
application/json
Numeric EVM chain ID to query. See Supported Chains.
Wallet address of the position to retrieve.
Token address of the position to retrieve.
Controls which optional sections are included in each returned position profile.
Show child attributes
Show child attributes
Response
Position profile for the specified wallet-token pair.
Was this page helpful?